Bug 1505955 - claims "subscription required" which is false on Fedora
Summary: claims "subscription required" which is false on Fedora
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: subscription-manager
Version: 28
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Alex Wood
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-24 16:20 UTC by Martin Pitt
Modified: 2018-11-15 03:14 UTC (History)
4 users (show)

Fixed In Version: subscription-manager-1.24.2-1.fc27 subscription-manager-1.24.2-1.fc28 subscription-manager-1.24.2-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-15 02:12:33 UTC


Attachments (Terms of Use)

Description Martin Pitt 2017-10-24 16:20:37 UTC
Description of problem:

subscription-manager is available on Fedora, but as there is on actual concept of subscriptions, this makes little sense. Some software (like Cockpit) queries it to determine if the system needs to get registered, which is confusing to users. See 
https://lists.fedorahosted.org/archives/list/cockpit-devel@lists.fedorahosted.org/thread/C52QKVVRAG2QMEU7236VHXWZD27MLMEH/ for details.



Version-Release number of selected component (if applicable):

Tested with subscription-manager 1.20.1-3.fc27, reported on Fedora 26 - so this is not a recent regression.

How reproducible: Always


Steps to Reproduce:
1. sudo dnf install subscription-manager
2. busctl call com.redhat.SubscriptionManager /EntitlementStatus com.redhat.SubscriptionManager.EntitlementStatus check_status

Actual results:

i 5

5 means "registration required": https://github.com/candlepin/subscription-manager/blob/30c3b52320c3e73ebd7435b4fc8b0b6319985d19/src/rhsm_icon/rhsm_icon.c#L98

Expected results:

None of the defined status codes are meaningful on Fedora, so the call ought to fail, or the package should not be available on Fedora in the first place.

Comment 1 Kevin Howell 2017-10-26 14:11:41 UTC
We agree that on a system where there are no installed products certificates (ex. RHEL Server), then the status should be VALID.

Comment 2 Fedora End Of Life 2018-05-03 08:54:06 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Martin Pitt 2018-05-03 10:52:43 UTC
This issue still exists on current Fedora 28.

Comment 4 Fedora Update System 2018-11-05 22:55:27 UTC
subscription-manager-1.24.2-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-075821dc8f

Comment 5 Fedora Update System 2018-11-05 22:56:06 UTC
subscription-manager-1.24.2-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a675aa39fc

Comment 6 Fedora Update System 2018-11-05 22:56:48 UTC
subscription-manager-1.24.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-91ba32a0ff

Comment 7 Fedora Update System 2018-11-06 22:02:01 UTC
subscription-manager-1.24.2-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-075821dc8f

Comment 8 Fedora Update System 2018-11-06 22:45:53 UTC
subscription-manager-1.24.2-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-91ba32a0ff

Comment 9 Fedora Update System 2018-11-06 23:28:28 UTC
subscription-manager-1.24.2-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a675aa39fc

Comment 10 Fedora Update System 2018-11-15 02:12:33 UTC
subscription-manager-1.24.2-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-11-15 02:28:51 UTC
subscription-manager-1.24.2-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-11-15 03:14:26 UTC
subscription-manager-1.24.2-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.